#!/usr/bin/python2

import generic_tla_monitoring
import os, pdb


special_plugin_description = "AVATecH CLAM"
special_plugin_file_name = os.path.basename(__file__)
command_line_parameters = [("-h", "host",),
                           ("-u", "URL",)]
valid_root_element_tag = "clam"

def special_main_subroutine(host, URL) :

    UP_URLs = (URL,) # X- use frozenset
    
    # Check status for all UP_URLs.
    results = \
      map(lambda UP_URL : generic_tla_monitoring.check_condition(host                      = host,
                                                                 UP_URL                    = UP_URL,
                                                                 HTTP_method               = "GET",
                                                                 validator                 = generic_tla_monitoring.check_XML_validity,
                                                                 valid_root_element_tag    = valid_root_element_tag,
                                                                 special_plugin_file_name  = special_plugin_file_name),
          UP_URLs)   
    
    generic_tla_monitoring.nagios_return_complex(results, 
                                                 reporter = special_plugin_description)

if __name__ == "__main__" :
    generic_tla_monitoring.main(special_main_subroutine, 
                                command_line_parameters)